# Communications Menu
#
# Created:	  07-Sep-87
# Last Edit Date: 07-Nov-87
#
# Created By: 	  Sandy Marshall
# Last Edit By:	  Sandy Marshall

# Edit DEFAULT as needed:
DEFAULT="q"

# Edit TITLE as needed:
TITLE="			  Communications Menu"

if [ "`echo -n`" = "-n" ]
then
	NLF1=""
	NLF2="\c"
else
	NLF1="-n"
	NLF2=""
fi

while true
do

t=`pwd`
s=`date '+%a %h %d, 19%y'`
clear=`tput clear`
echo $clear

# SHOW ==================================================

cat << TBLOCK
$TITLE

TBLOCK
echo "Present Directory: $t		Date: $s \n"
cat << SHOWEND
			a. Send Mail
			b. Receive Mail

			q. Return to Main Menu		? Help

SHOWEND
#
# Add additional lines before 'SHOWEND' and
# add corresponding entries in 'SELECT' below:
# <tab><letter(s)><tab><description"	# format for additional lines
#
# Use blank lines for visual grouping.
#

# ENTER ==================================================

echo $NLF1 "

			       Select [$DEFAULT] :  $NLF2"
read SELECT

if [ -z "$SELECT" ]
then
	SELECT=$DEFAULT
fi

DEFAULT=$SELECT
RT="0"

echo $clear

# SELECT ==================================================

case $SELECT in
	a)	echo "				Existing mail boxes\n"
		cut -d: -f1 /etc/passwd | paste -s -
		DATE=""
		SUB=""
		USER=`who am i | cut -d' ' -f1`
		echo "\nSend mail to: \c"
		read NAME
		if [ -n "$NAME" ]
		then	DATE=`date '+%a %h %d, 19%y'`
			echo "Date: $DATE"
			echo "Subject: \c"
			read SUB
			cat >>/usr/tmp/"$USER"tmp <<!
To:      $NAME

From:    $USER

Date:    $DATE

Subject: $SUB

!
			echo "Enter message, terminate with a \".\" on a line by itself followed by a RETURN\n"
			read x
			while [ "$x" != "." ]
			do
				echo $x >> /usr/tmp/mailtmp$$
				read x
			done
			mail $NAME < /usr/tmp/mailtmp$$
			EXERR=$?
			rm /usr/tmp/mailtmp$$
		else	EXERR=0	
		fi							;;

	b)	echo "				Mail Options\n"
		echo "	RETURN Go to next item		s [file] Save with header"
		echo "	+ Go to next item		w [file] Save without header"
		echo "	d Delete; go to next item	q Quit"
		echo "	p Go back to previous item	x Exit"
		echo "	- Go back to previous item\n"
		mail
		EXERR=0
		RT=1						;;

	\?)	sh /usr/bin/comm.help
		RT=1
		EXERR=0						;;

	q)	exit $EXERR					;;

esac

if [ "$EXERR" != "0" ]
then
	echo $NLF1 " Exit error: $EXERR	$NLF2	"
	echo $NLF1 "  Press <RETURN> to continue:  $NLF2"
	read OK
else
	if [ "$RT" = "1" ]
	then
		echo $NLF1 " \n Press <RETURN> to continue:  $NLF2"
		read OK
	fi
fi

done
